package com.steering.pss.sale.order.craftDesign.dao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import CoreFS.SA08.CoreXmlSqlParsersFactory;
import com.steering.comm.tools.EntityTool;
import com.steering.pss.sale.order.craftDesign.model.CraftOrdDesignStdEntity;

public class MscNDao {
	public void updateMscNStd(Connection con,
			CraftOrdDesignStdEntity ordStdEntity) throws SQLException {
		String sql = CoreXmlSqlParsersFactory.getSql("MscNDao.updateMscNStd");
		sql = EntityTool.fillSqlByEntity(sql, ordStdEntity);
		PreparedStatement ps = con.prepareStatement(sql);
		ps.executeUpdate();
		ps.close();
	}
}
